# Module: `nbconvert.preprocessors.extractoutput`

Module containing a preprocessor that extracts all of the outputs from the notebook file. The extracted outputs are returned in the ‘resources’ dictionary.

## 1 Class

class `IPython.nbconvert.preprocessors.extractoutput.``ExtractOutputPreprocessor`(**kw)

  Bases: `IPython.nbconvert.preprocessors.base.Preprocessor`

  Extracts all of the outputs from the notebook file. The extracted outputs are returned in the ‘resources’ dictionary.

  `preprocess_cell`(cell, resources, cell_index)

    Apply a transformation on each cell,

    Parameters:

    cell : NotebookNode cell

    > Notebook cell being processed

    resources : dictionary

    > Additional resources used in the conversion process. Allows preprocessors to pass variables into the Jinja engine.

    cell_index : int

    > Index of the cell being processed (see base.py)